﻿@* created by wot.dadang 12/11/2012 *@
@using Portal.Models.Globals;
@using System.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Data;
@using Portal.Controllers;    
@model Toyota.Common.Web.MVC.ModelHolder

@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@section Script {

var __base =  @Html.Raw(HttpUtility.JavaScriptStringEncode(
                new Uri(
                   new Uri(this.Context.Request.Url.GetLeftPart(UriPartial.Authority)),
                   Url.Content("~/")
               ).ToString(), true));
var __mew = window.location.href.split("/")[0]; 
var __meb = __base.split("/")[0];
if (__mew !== __meb) 
    __base = __base.replace(__meb, __mew); 
}

@section ScriptReferences {
<script src="@Url.Content("~/Content/js/EmergencyOrderCreation.js")" type="text/javascript"></script>
}
<script type="text/javascript">
    
  
</script>

<script type="text/javascript">
    // =========================== Common Variabels ================================
    
    var orderNo = "";
    var dockCode = "";

    var supplierCode = "";
    var supplierPlant = "";
    var kanbanNo = "";

    var filePath = "";
    var oldPcsKanban = "";
    var buildoutflag = "";
    var buildoutqty = "";

  
</script>

<link href="@Url.Content("~/Content/Style/EmergencyOrderCreation.css")" rel="stylesheet" type="text/css"/>
<div style="display:table;border:1px solid #142B94; background-color:#DEECFD; padding:10px;">
    @Html.Action("PartialHeaderEmergencyOrderCreation", "EmergencyOrderCreation")
</div>
<div style="height: 15px;"></div> @* div spacing *@
<div>
    @Html.Action("PartialDetailEmergencyOrderCreation", "EmergencyOrderCreation")
</div>
<div style="height: 100px;">
</div>

@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.TopSides;
    settings.Name = "popupNew";
    settings.CallbackRouteValues = new { Controller = "EmergencyOrderCreation", Action = "PartialPartGridLookupEmergencyOrderCreation" };
    settings.HeaderText = "Add New Part";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(200);
    settings.CloseAction = CloseAction.None;
    settings.ClientSideEvents.Shown = "GetBOMessage";
    settings.ShowCloseButton = false;
    settings.SetContent(() =>
    {
        Html.RenderPartial("PopupNew", ViewData["PartGridLookup"]);
    });
}).GetHtml()
@Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "popupEOCUploadConfirmation";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(250);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(140);
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.ShowShadow = true;
        settings.CloseAction = CloseAction.None;
        settings.SetContent(() =>
        {
            Html.RenderPartial("EmergencyOrderUploadConfirmationPartial");
        });
    }).GetHtml()
@Html.DevExpress().PopupControl(
    settings => {
        settings.Name = "popupEOCConfirmationUploadProgress";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(220);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(140);
        settings.ScrollBars = ScrollBars.Auto;
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.Modal = true;
        settings.CloseAction = CloseAction.None;
        settings.SetContent(() =>
        {
            Html.RenderPartial("EmergencyOrderConfirmationUploadProgressPartial");
        });
    }).GetHtml()
@Html.DevExpress().PopupControl(
    settings =>
    {
        settings.Name = "popupEOCSuccessSubmit";
        settings.ShowHeader = false;
        settings.Width = System.Web.UI.WebControls.Unit.Pixel(350);
        settings.Height = System.Web.UI.WebControls.Unit.Pixel(140);
        settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
        settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
        settings.ShowShadow = true;
        settings.SetContent(() =>
        {
            Html.RenderPartial("EmergencyOrderSuccessSubmitPartial");
        });
    }).GetHtml()